Changeset 234


Ignore:
Timestamp:
Mar 1, 2007 5:52:38 PM (14 years ago)
Author:
andreasw
Message:

minor correction in configure file

Location:
ThirdParty/Lapack/trunk
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Lapack/trunk/Makefile.in

    r229 r234  
    124124CDEFS = @CDEFS@
    125125CFLAGS = @CFLAGS@
     126COIN_BUILD_BLAS_FALSE = @COIN_BUILD_BLAS_FALSE@
     127COIN_BUILD_BLAS_TRUE = @COIN_BUILD_BLAS_TRUE@
    126128COIN_BUILD_LAPACK_FALSE = @COIN_BUILD_LAPACK_FALSE@
    127129COIN_BUILD_LAPACK_TRUE = @COIN_BUILD_LAPACK_TRUE@
     130COIN_HAS_BLAS_FALSE = @COIN_HAS_BLAS_FALSE@
     131COIN_HAS_BLAS_TRUE = @COIN_HAS_BLAS_TRUE@
    128132COIN_HAS_LAPACK_FALSE = @COIN_HAS_LAPACK_FALSE@
    129133COIN_HAS_LAPACK_TRUE = @COIN_HAS_LAPACK_TRUE@
  • ThirdParty/Lapack/trunk/configure

    r229 r234  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS FLIBS COIN_HAS_LAPACK_TRUE COIN_HAS_LAPACK_FALSE COIN_BUILD_LAPACK_TRUE COIN_BUILD_LAPACK_FALSE MAKEOKFILE SKIPMAKE_TRUE SKIPMAKE_FALSE LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS FLIBS COIN_HAS_BLAS_TRUE COIN_HAS_BLAS_FALSE COIN_BUILD_BLAS_TRUE COIN_BUILD_BLAS_FALSE COIN_HAS_LAPACK_TRUE COIN_HAS_LAPACK_FALSE COIN_BUILD_LAPACK_TRUE COIN_BUILD_LAPACK_FALSE MAKEOKFILE SKIPMAKE_TRUE SKIPMAKE_FALSE LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11011101  --with-tags[=TAGS]
    11021102                          include additional configurations [automatic]
     1103  --with-blas             specify BLAS library (or BUILD for compilation)
    11031104  --with-lapack           specify LAPACK library (or BUILD for compilation)
    11041105
     
    31983199
    31993200# Provide some information about the compiler.
    3200 echo "$as_me:3200:" \
     3201echo "$as_me:3201:" \
    32013202     "checking for Fortran 77 compiler version" >&5
    32023203ac_compiler=`set X $ac_compile; echo $2`
     
    54055406*-*-irix6*)
    54065407  # Find out which ABI we are using.
    5407   echo '#line 5407 "configure"' > conftest.$ac_ext
     5408  echo '#line 5408 "configure"' > conftest.$ac_ext
    54085409  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    54095410  (eval $ac_compile) 2>&5
     
    78347835   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78357836   -e 's:$: $lt_compiler_flag:'`
    7836    (eval echo "\"\$as_me:7836: $lt_compile\"" >&5)
     7837   (eval echo "\"\$as_me:7837: $lt_compile\"" >&5)
    78377838   (eval "$lt_compile" 2>conftest.err)
    78387839   ac_status=$?
    78397840   cat conftest.err >&5
    7840    echo "$as_me:7840: \$? = $ac_status" >&5
     7841   echo "$as_me:7841: \$? = $ac_status" >&5
    78417842   if (exit $ac_status) && test -s "$ac_outfile"; then
    78427843     # The compiler can only warn and ignore the option if not recognized
     
    81028103   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81038104   -e 's:$: $lt_compiler_flag:'`
    8104    (eval echo "\"\$as_me:8104: $lt_compile\"" >&5)
     8105   (eval echo "\"\$as_me:8105: $lt_compile\"" >&5)
    81058106   (eval "$lt_compile" 2>conftest.err)
    81068107   ac_status=$?
    81078108   cat conftest.err >&5
    8108    echo "$as_me:8108: \$? = $ac_status" >&5
     8109   echo "$as_me:8109: \$? = $ac_status" >&5
    81098110   if (exit $ac_status) && test -s "$ac_outfile"; then
    81108111     # The compiler can only warn and ignore the option if not recognized
     
    82068207   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82078208   -e 's:$: $lt_compiler_flag:'`
    8208    (eval echo "\"\$as_me:8208: $lt_compile\"" >&5)
     8209   (eval echo "\"\$as_me:8209: $lt_compile\"" >&5)
    82098210   (eval "$lt_compile" 2>out/conftest.err)
    82108211   ac_status=$?
    82118212   cat out/conftest.err >&5
    8212    echo "$as_me:8212: \$? = $ac_status" >&5
     8213   echo "$as_me:8213: \$? = $ac_status" >&5
    82138214   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    82148215   then
     
    1055110552  lt_status=$lt_dlunknown
    1055210553  cat > conftest.$ac_ext <<EOF
    10553 #line 10553 "configure"
     10554#line 10554 "configure"
    1055410555#include "confdefs.h"
    1055510556
     
    1065110652  lt_status=$lt_dlunknown
    1065210653  cat > conftest.$ac_ext <<EOF
    10653 #line 10653 "configure"
     10654#line 10654 "configure"
    1065410655#include "confdefs.h"
    1065510656
     
    1299512996   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1299612997   -e 's:$: $lt_compiler_flag:'`
    12997    (eval echo "\"\$as_me:12997: $lt_compile\"" >&5)
     12998   (eval echo "\"\$as_me:12998: $lt_compile\"" >&5)
    1299812999   (eval "$lt_compile" 2>conftest.err)
    1299913000   ac_status=$?
    1300013001   cat conftest.err >&5
    13001    echo "$as_me:13001: \$? = $ac_status" >&5
     13002   echo "$as_me:13002: \$? = $ac_status" >&5
    1300213003   if (exit $ac_status) && test -s "$ac_outfile"; then
    1300313004     # The compiler can only warn and ignore the option if not recognized
     
    1309913100   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1310013101   -e 's:$: $lt_compiler_flag:'`
    13101    (eval echo "\"\$as_me:13101: $lt_compile\"" >&5)
     13102   (eval echo "\"\$as_me:13102: $lt_compile\"" >&5)
    1310213103   (eval "$lt_compile" 2>out/conftest.err)
    1310313104   ac_status=$?
    1310413105   cat out/conftest.err >&5
    13105    echo "$as_me:13105: \$? = $ac_status" >&5
     13106   echo "$as_me:13106: \$? = $ac_status" >&5
    1310613107   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1310713108   then
     
    1466914670   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1467014671   -e 's:$: $lt_compiler_flag:'`
    14671    (eval echo "\"\$as_me:14671: $lt_compile\"" >&5)
     14672   (eval echo "\"\$as_me:14672: $lt_compile\"" >&5)
    1467214673   (eval "$lt_compile" 2>conftest.err)
    1467314674   ac_status=$?
    1467414675   cat conftest.err >&5
    14675    echo "$as_me:14675: \$? = $ac_status" >&5
     14676   echo "$as_me:14676: \$? = $ac_status" >&5
    1467614677   if (exit $ac_status) && test -s "$ac_outfile"; then
    1467714678     # The compiler can only warn and ignore the option if not recognized
     
    1477314774   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1477414775   -e 's:$: $lt_compiler_flag:'`
    14775    (eval echo "\"\$as_me:14775: $lt_compile\"" >&5)
     14776   (eval echo "\"\$as_me:14776: $lt_compile\"" >&5)
    1477614777   (eval "$lt_compile" 2>out/conftest.err)
    1477714778   ac_status=$?
    1477814779   cat out/conftest.err >&5
    14779    echo "$as_me:14779: \$? = $ac_status" >&5
     14780   echo "$as_me:14780: \$? = $ac_status" >&5
    1478014781   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1478114782   then
     
    1698016981   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1698116982   -e 's:$: $lt_compiler_flag:'`
    16982    (eval echo "\"\$as_me:16982: $lt_compile\"" >&5)
     16983   (eval echo "\"\$as_me:16983: $lt_compile\"" >&5)
    1698316984   (eval "$lt_compile" 2>conftest.err)
    1698416985   ac_status=$?
    1698516986   cat conftest.err >&5
    16986    echo "$as_me:16986: \$? = $ac_status" >&5
     16987   echo "$as_me:16987: \$? = $ac_status" >&5
    1698716988   if (exit $ac_status) && test -s "$ac_outfile"; then
    1698816989     # The compiler can only warn and ignore the option if not recognized
     
    1724817249   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1724917250   -e 's:$: $lt_compiler_flag:'`
    17250    (eval echo "\"\$as_me:17250: $lt_compile\"" >&5)
     17251   (eval echo "\"\$as_me:17251: $lt_compile\"" >&5)
    1725117252   (eval "$lt_compile" 2>conftest.err)
    1725217253   ac_status=$?
    1725317254   cat conftest.err >&5
    17254    echo "$as_me:17254: \$? = $ac_status" >&5
     17255   echo "$as_me:17255: \$? = $ac_status" >&5
    1725517256   if (exit $ac_status) && test -s "$ac_outfile"; then
    1725617257     # The compiler can only warn and ignore the option if not recognized
     
    1735217353   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1735317354   -e 's:$: $lt_compiler_flag:'`
    17354    (eval echo "\"\$as_me:17354: $lt_compile\"" >&5)
     17355   (eval echo "\"\$as_me:17355: $lt_compile\"" >&5)
    1735517356   (eval "$lt_compile" 2>out/conftest.err)
    1735617357   ac_status=$?
    1735717358   cat out/conftest.err >&5
    17358    echo "$as_me:17358: \$? = $ac_status" >&5
     17359   echo "$as_me:17359: \$? = $ac_status" >&5
    1735917360   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1736017361   then
     
    2025720258ac_save_FFLAGS=$FFLAGS
    2025820259FFLAGS="$FFLAGS $ac_verb"
    20259 (eval echo $as_me:20259: \"$ac_link\") >&5
     20260(eval echo $as_me:20260: \"$ac_link\") >&5
    2026020261ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2026120262echo "$ac_f77_v_output" >&5
     
    2033520336ac_save_FFLAGS=$FFLAGS
    2033620337FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    20337 (eval echo $as_me:20337: \"$ac_link\") >&5
     20338(eval echo $as_me:20338: \"$ac_link\") >&5
    2033820339ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2033920340echo "$ac_f77_v_output" >&5
     
    2093020931ac_compiler_gnu=$ac_cv_c_compiler_gnu
    2093120932
     20933coin_blasobjdir=../ThirdParty/Blas
     20934coin_blassrcdir=$srcdir/$coin_blasobjdir
     20935
     20936
     20937# Check whether --with-blas or --without-blas was given.
     20938if test "${with_blas+set}" = set; then
     20939  withval="$with_blas"
     20940  use_blas=$withval
     20941else
     20942  use_blas=
     20943fi;
     20944
     20945MAKEOKFILE=.MakeOk
     20946# Check if user supplied option makes sense
     20947if test x"$use_blas" != x; then
     20948  if test "$use_blas" = "BUILD"; then
     20949    # Don't check for course code if this is executed in ThirdParty/Blas
     20950    if test "$PACKAGE_NAME" != ThirdPartyBlas; then
     20951      as_ac_File=`echo "ac_cv_file_$coin_blasobjdir/.MakeOk" | $as_tr_sh`
     20952echo "$as_me:$LINENO: checking for $coin_blasobjdir/.MakeOk" >&5
     20953echo $ECHO_N "checking for $coin_blasobjdir/.MakeOk... $ECHO_C" >&6
     20954if eval "test \"\${$as_ac_File+set}\" = set"; then
     20955  echo $ECHO_N "(cached) $ECHO_C" >&6
     20956else
     20957  test "$cross_compiling" = yes &&
     20958  { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
     20959echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
     20960   { (exit 1); exit 1; }; }
     20961if test -r "$coin_blasobjdir/.MakeOk"; then
     20962  eval "$as_ac_File=yes"
     20963else
     20964  eval "$as_ac_File=no"
     20965fi
     20966fi
     20967echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_File'}'`" >&5
     20968echo "${ECHO_T}`eval echo '${'$as_ac_File'}'`" >&6
     20969if test `eval echo '${'$as_ac_File'}'` = yes; then
     20970  :
     20971else
     20972  { { echo "$as_me:$LINENO: error: option \"BUILD\" specified for Blas, but $coin_blasobjdir directory is not properly configured" >&5
     20973echo "$as_me: error: option \"BUILD\" specified for Blas, but $coin_blasobjdir directory is not properly configured" >&2;}
     20974   { (exit 1); exit 1; }; }
     20975fi
     20976
     20977    fi
     20978  elif test "$use_blas" != no ; then
     20979    echo "$as_me:$LINENO: checking whether user supplied BLASLIB=\"$use_blas\" works" >&5
     20980echo $ECHO_N "checking whether user supplied BLASLIB=\"$use_blas\" works... $ECHO_C" >&6
     20981    LIBS="$use_blas $LIBS"
     20982    ADDLIBS="$use_blas $ADDLIBS"
     20983    case $ac_ext in
     20984  f)
     20985    cat >conftest.$ac_ext <<_ACEOF
     20986/* confdefs.h.  */
     20987_ACEOF
     20988cat confdefs.h >>conftest.$ac_ext
     20989cat >>conftest.$ac_ext <<_ACEOF
     20990/* end confdefs.h.  */
     20991
     20992int
     20993main ()
     20994{
     20995      call daxpy
     20996  ;
     20997  return 0;
     20998}
     20999_ACEOF
     21000rm -f conftest.$ac_objext conftest$ac_exeext
     21001if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     21002  (eval $ac_link) 2>conftest.er1
     21003  ac_status=$?
     21004  grep -v '^ *+' conftest.er1 >conftest.err
     21005  rm -f conftest.er1
     21006  cat conftest.err >&5
     21007  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21008  (exit $ac_status); } &&
     21009         { ac_try='test -z "$ac_c_werror_flag"
     21010                         || test ! -s conftest.err'
     21011  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21012  (eval $ac_try) 2>&5
     21013  ac_status=$?
     21014  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21015  (exit $ac_status); }; } &&
     21016         { ac_try='test -s conftest$ac_exeext'
     21017  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21018  (eval $ac_try) 2>&5
     21019  ac_status=$?
     21020  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21021  (exit $ac_status); }; }; then
     21022  echo "$as_me:$LINENO: result: yes" >&5
     21023echo "${ECHO_T}yes" >&6
     21024else
     21025  echo "$as_me: failed program was:" >&5
     21026sed 's/^/| /' conftest.$ac_ext >&5
     21027
     21028echo "$as_me:$LINENO: result: no" >&5
     21029echo "${ECHO_T}no" >&6
     21030                       { { echo "$as_me:$LINENO: error: user supplied BLAS library \"$use_blas\" does not work" >&5
     21031echo "$as_me: error: user supplied BLAS library \"$use_blas\" does not work" >&2;}
     21032   { (exit 1); exit 1; }; }
     21033fi
     21034rm -f conftest.err conftest.$ac_objext \
     21035      conftest$ac_exeext conftest.$ac_ext
     21036    ;;
     21037  c)
     21038    ac_ext=f
     21039ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     21040ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     21041ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     21042case $ac_cv_f77_mangling in
     21043  upper*) ac_val="DAXPY" ;;
     21044  lower*) ac_val="daxpy" ;;
     21045  *)      ac_val="unknown" ;;
     21046esac
     21047case $ac_cv_f77_mangling in *," underscore"*) ac_val="$ac_val"_ ;; esac
     21048
     21049cfuncdaxpy="$ac_val"
     21050
     21051ac_ext=c
     21052ac_cpp='$CPP $CPPFLAGS'
     21053ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     21054ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     21055ac_compiler_gnu=$ac_cv_c_compiler_gnu
     21056
     21057    if test x"$coin_need_flibs" = xyes; then
     21058      flink_try=no;
     21059    else
     21060      cat >conftest.$ac_ext <<_ACEOF
     21061/* confdefs.h.  */
     21062_ACEOF
     21063cat confdefs.h >>conftest.$ac_ext
     21064cat >>conftest.$ac_ext <<_ACEOF
     21065/* end confdefs.h.  */
     21066void $cfuncdaxpy();
     21067#ifdef F77_DUMMY_MAIN
     21068
     21069#  ifdef __cplusplus
     21070     extern "C"
     21071#  endif
     21072   int F77_DUMMY_MAIN() { return 1; }
     21073
     21074#endif
     21075int
     21076main ()
     21077{
     21078$cfuncdaxpy()
     21079  ;
     21080  return 0;
     21081}
     21082_ACEOF
     21083rm -f conftest.$ac_objext conftest$ac_exeext
     21084if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     21085  (eval $ac_link) 2>conftest.er1
     21086  ac_status=$?
     21087  grep -v '^ *+' conftest.er1 >conftest.err
     21088  rm -f conftest.er1
     21089  cat conftest.err >&5
     21090  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21091  (exit $ac_status); } &&
     21092         { ac_try='test -z "$ac_c_werror_flag"
     21093                         || test ! -s conftest.err'
     21094  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21095  (eval $ac_try) 2>&5
     21096  ac_status=$?
     21097  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21098  (exit $ac_status); }; } &&
     21099         { ac_try='test -s conftest$ac_exeext'
     21100  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21101  (eval $ac_try) 2>&5
     21102  ac_status=$?
     21103  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21104  (exit $ac_status); }; }; then
     21105  flink_try=yes
     21106else
     21107  echo "$as_me: failed program was:" >&5
     21108sed 's/^/| /' conftest.$ac_ext >&5
     21109
     21110flink_try=no
     21111fi
     21112rm -f conftest.err conftest.$ac_objext \
     21113      conftest$ac_exeext conftest.$ac_ext
     21114    fi
     21115    if test $flink_try = yes; then
     21116      echo "$as_me:$LINENO: result: yes" >&5
     21117echo "${ECHO_T}yes" >&6
     21118    else
     21119      if test x"$FLIBS" != x; then
     21120        flink_save_libs="$LIBS"
     21121        LIBS="$LIBS $FLIBS"
     21122        cat >conftest.$ac_ext <<_ACEOF
     21123/* confdefs.h.  */
     21124_ACEOF
     21125cat confdefs.h >>conftest.$ac_ext
     21126cat >>conftest.$ac_ext <<_ACEOF
     21127/* end confdefs.h.  */
     21128void $cfuncdaxpy();
     21129#ifdef F77_DUMMY_MAIN
     21130
     21131#  ifdef __cplusplus
     21132     extern "C"
     21133#  endif
     21134   int F77_DUMMY_MAIN() { return 1; }
     21135
     21136#endif
     21137int
     21138main ()
     21139{
     21140$cfuncdaxpy()
     21141  ;
     21142  return 0;
     21143}
     21144_ACEOF
     21145rm -f conftest.$ac_objext conftest$ac_exeext
     21146if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     21147  (eval $ac_link) 2>conftest.er1
     21148  ac_status=$?
     21149  grep -v '^ *+' conftest.er1 >conftest.err
     21150  rm -f conftest.er1
     21151  cat conftest.err >&5
     21152  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21153  (exit $ac_status); } &&
     21154         { ac_try='test -z "$ac_c_werror_flag"
     21155                         || test ! -s conftest.err'
     21156  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21157  (eval $ac_try) 2>&5
     21158  ac_status=$?
     21159  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21160  (exit $ac_status); }; } &&
     21161         { ac_try='test -s conftest$ac_exeext'
     21162  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21163  (eval $ac_try) 2>&5
     21164  ac_status=$?
     21165  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21166  (exit $ac_status); }; }; then
     21167  LIBS="$flink_save_libs"
     21168                     echo "$as_me:$LINENO: result: yes" >&5
     21169echo "${ECHO_T}yes" >&6
     21170                     coin_need_flibs=yes
     21171else
     21172  echo "$as_me: failed program was:" >&5
     21173sed 's/^/| /' conftest.$ac_ext >&5
     21174
     21175LIBS="$flink_save_libs"
     21176                     echo "$as_me:$LINENO: result: no" >&5
     21177echo "${ECHO_T}no" >&6
     21178                       { { echo "$as_me:$LINENO: error: user supplied BLAS library \"$use_blas\" does not work" >&5
     21179echo "$as_me: error: user supplied BLAS library \"$use_blas\" does not work" >&2;}
     21180   { (exit 1); exit 1; }; }
     21181fi
     21182rm -f conftest.err conftest.$ac_objext \
     21183      conftest$ac_exeext conftest.$ac_ext
     21184      else
     21185        echo "$as_me:$LINENO: result: no" >&5
     21186echo "${ECHO_T}no" >&6
     21187                       { { echo "$as_me:$LINENO: error: user supplied BLAS library \"$use_blas\" does not work" >&5
     21188echo "$as_me: error: user supplied BLAS library \"$use_blas\" does not work" >&2;}
     21189   { (exit 1); exit 1; }; }
     21190      fi
     21191    fi
     21192    ;;
     21193  cc|cpp)
     21194    ac_ext=f
     21195ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     21196ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     21197ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     21198case $ac_cv_f77_mangling in
     21199  upper*) ac_val="DAXPY" ;;
     21200  lower*) ac_val="daxpy" ;;
     21201  *)      ac_val="unknown" ;;
     21202esac
     21203case $ac_cv_f77_mangling in *," underscore"*) ac_val="$ac_val"_ ;; esac
     21204
     21205cfuncdaxpy="$ac_val"
     21206
     21207ac_ext=c
     21208ac_cpp='$CPP $CPPFLAGS'
     21209ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     21210ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     21211ac_compiler_gnu=$ac_cv_c_compiler_gnu
     21212
     21213    if test x"$coin_need_flibs" = xyes; then
     21214      flink_try=no;
     21215    else
     21216      cat >conftest.$ac_ext <<_ACEOF
     21217/* confdefs.h.  */
     21218_ACEOF
     21219cat confdefs.h >>conftest.$ac_ext
     21220cat >>conftest.$ac_ext <<_ACEOF
     21221/* end confdefs.h.  */
     21222extern "C" {void $cfuncdaxpy();}
     21223#ifdef F77_DUMMY_MAIN
     21224
     21225#  ifdef __cplusplus
     21226     extern "C"
     21227#  endif
     21228   int F77_DUMMY_MAIN() { return 1; }
     21229
     21230#endif
     21231int
     21232main ()
     21233{
     21234$cfuncdaxpy()
     21235  ;
     21236  return 0;
     21237}
     21238_ACEOF
     21239rm -f conftest.$ac_objext conftest$ac_exeext
     21240if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     21241  (eval $ac_link) 2>conftest.er1
     21242  ac_status=$?
     21243  grep -v '^ *+' conftest.er1 >conftest.err
     21244  rm -f conftest.er1
     21245  cat conftest.err >&5
     21246  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21247  (exit $ac_status); } &&
     21248         { ac_try='test -z "$ac_c_werror_flag"
     21249                         || test ! -s conftest.err'
     21250  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21251  (eval $ac_try) 2>&5
     21252  ac_status=$?
     21253  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21254  (exit $ac_status); }; } &&
     21255         { ac_try='test -s conftest$ac_exeext'
     21256  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21257  (eval $ac_try) 2>&5
     21258  ac_status=$?
     21259  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21260  (exit $ac_status); }; }; then
     21261  flink_try=yes
     21262else
     21263  echo "$as_me: failed program was:" >&5
     21264sed 's/^/| /' conftest.$ac_ext >&5
     21265
     21266flink_try=no
     21267fi
     21268rm -f conftest.err conftest.$ac_objext \
     21269      conftest$ac_exeext conftest.$ac_ext
     21270    fi
     21271    if test $flink_try = yes; then
     21272      echo "$as_me:$LINENO: result: yes" >&5
     21273echo "${ECHO_T}yes" >&6
     21274    else
     21275      if test x"$FLIBS" != x; then
     21276        flink_save_libs="$LIBS"
     21277        LIBS="$LIBS $FLIBS"
     21278        cat >conftest.$ac_ext <<_ACEOF
     21279/* confdefs.h.  */
     21280_ACEOF
     21281cat confdefs.h >>conftest.$ac_ext
     21282cat >>conftest.$ac_ext <<_ACEOF
     21283/* end confdefs.h.  */
     21284extern "C" {void $cfuncdaxpy();}
     21285#ifdef F77_DUMMY_MAIN
     21286
     21287#  ifdef __cplusplus
     21288     extern "C"
     21289#  endif
     21290   int F77_DUMMY_MAIN() { return 1; }
     21291
     21292#endif
     21293int
     21294main ()
     21295{
     21296$cfuncdaxpy()
     21297  ;
     21298  return 0;
     21299}
     21300_ACEOF
     21301rm -f conftest.$ac_objext conftest$ac_exeext
     21302if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     21303  (eval $ac_link) 2>conftest.er1
     21304  ac_status=$?
     21305  grep -v '^ *+' conftest.er1 >conftest.err
     21306  rm -f conftest.er1
     21307  cat conftest.err >&5
     21308  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21309  (exit $ac_status); } &&
     21310         { ac_try='test -z "$ac_c_werror_flag"
     21311                         || test ! -s conftest.err'
     21312  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21313  (eval $ac_try) 2>&5
     21314  ac_status=$?
     21315  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21316  (exit $ac_status); }; } &&
     21317         { ac_try='test -s conftest$ac_exeext'
     21318  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21319  (eval $ac_try) 2>&5
     21320  ac_status=$?
     21321  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21322  (exit $ac_status); }; }; then
     21323  LIBS="$flink_save_libs"
     21324                     echo "$as_me:$LINENO: result: yes" >&5
     21325echo "${ECHO_T}yes" >&6
     21326                     coin_need_flibs=yes
     21327else
     21328  echo "$as_me: failed program was:" >&5
     21329sed 's/^/| /' conftest.$ac_ext >&5
     21330
     21331LIBS="$flink_save_libs"
     21332                     echo "$as_me:$LINENO: result: no" >&5
     21333echo "${ECHO_T}no" >&6
     21334                       { { echo "$as_me:$LINENO: error: user supplied BLAS library \"$use_blas\" does not work" >&5
     21335echo "$as_me: error: user supplied BLAS library \"$use_blas\" does not work" >&2;}
     21336   { (exit 1); exit 1; }; }
     21337fi
     21338rm -f conftest.err conftest.$ac_objext \
     21339      conftest$ac_exeext conftest.$ac_ext
     21340      else
     21341        echo "$as_me:$LINENO: result: no" >&5
     21342echo "${ECHO_T}no" >&6
     21343                       { { echo "$as_me:$LINENO: error: user supplied BLAS library \"$use_blas\" does not work" >&5
     21344echo "$as_me: error: user supplied BLAS library \"$use_blas\" does not work" >&2;}
     21345   { (exit 1); exit 1; }; }
     21346      fi
     21347    fi
     21348    ;;
     21349esac
     21350
     21351  fi
     21352else
     21353# Try to autodetect the library for blas based on build system
     21354  #AC_MSG_CHECKING([default locations for BLAS])
     21355  skip_lblas_check=no
     21356  case $build in
     21357    *-sgi-*)
     21358      SAVE_LIBS="$LIBS"
     21359      echo "$as_me:$LINENO: checking whether -lcomplib.sgimath has BLAS" >&5
     21360echo $ECHO_N "checking whether -lcomplib.sgimath has BLAS... $ECHO_C" >&6
     21361      LIBS="-lcomplib.sgimath $LIBS"
     21362      case $ac_ext in
     21363  f)
     21364    cat >conftest.$ac_ext <<_ACEOF
     21365/* confdefs.h.  */
     21366_ACEOF
     21367cat confdefs.h >>conftest.$ac_ext
     21368cat >>conftest.$ac_ext <<_ACEOF
     21369/* end confdefs.h.  */
     21370
     21371#ifdef F77_DUMMY_MAIN
     21372
     21373#  ifdef __cplusplus
     21374     extern "C"
     21375#  endif
     21376   int F77_DUMMY_MAIN() { return 1; }
     21377
     21378#endif
     21379int
     21380main ()
     21381{
     21382      call daxpy
     21383  ;
     21384  return 0;
     21385}
     21386_ACEOF
     21387rm -f conftest.$ac_objext conftest$ac_exeext
     21388if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     21389  (eval $ac_link) 2>conftest.er1
     21390  ac_status=$?
     21391  grep -v '^ *+' conftest.er1 >conftest.err
     21392  rm -f conftest.er1
     21393  cat conftest.err >&5
     21394  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21395  (exit $ac_status); } &&
     21396         { ac_try='test -z "$ac_c_werror_flag"
     21397                         || test ! -s conftest.err'
     21398  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21399  (eval $ac_try) 2>&5
     21400  ac_status=$?
     21401  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21402  (exit $ac_status); }; } &&
     21403         { ac_try='test -s conftest$ac_exeext'
     21404  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21405  (eval $ac_try) 2>&5
     21406  ac_status=$?
     21407  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21408  (exit $ac_status); }; }; then
     21409  echo "$as_me:$LINENO: result: yes" >&5
     21410echo "${ECHO_T}yes" >&6
     21411                         use_blas=-lcomplib.sgimath;
     21412                         ADDLIBS="-lcomplib.sgimath $ADDLIBS"
     21413else
     21414  echo "$as_me: failed program was:" >&5
     21415sed 's/^/| /' conftest.$ac_ext >&5
     21416
     21417echo "$as_me:$LINENO: result: no" >&5
     21418echo "${ECHO_T}no" >&6
     21419                         SAVE_LIBS="$LIBS"
     21420fi
     21421rm -f conftest.err conftest.$ac_objext \
     21422      conftest$ac_exeext conftest.$ac_ext
     21423    ;;
     21424  c)
     21425    ac_ext=f
     21426ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     21427ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     21428ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     21429case $ac_cv_f77_mangling in
     21430  upper*) ac_val="DAXPY" ;;
     21431  lower*) ac_val="daxpy" ;;
     21432  *)      ac_val="unknown" ;;
     21433esac
     21434case $ac_cv_f77_mangling in *," underscore"*) ac_val="$ac_val"_ ;; esac
     21435
     21436cfuncdaxpy="$ac_val"
     21437
     21438ac_ext=c
     21439ac_cpp='$CPP $CPPFLAGS'
     21440ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     21441ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     21442ac_compiler_gnu=$ac_cv_c_compiler_gnu
     21443
     21444    if test x"$coin_need_flibs" = xyes; then
     21445      flink_try=no;
     21446    else
     21447      cat >conftest.$ac_ext <<_ACEOF
     21448/* confdefs.h.  */
     21449_ACEOF
     21450cat confdefs.h >>conftest.$ac_ext
     21451cat >>conftest.$ac_ext <<_ACEOF
     21452/* end confdefs.h.  */
     21453void $cfuncdaxpy();
     21454#ifdef F77_DUMMY_MAIN
     21455
     21456#  ifdef __cplusplus
     21457     extern "C"
     21458#  endif
     21459   int F77_DUMMY_MAIN() { return 1; }
     21460
     21461#endif
     21462int
     21463main ()
     21464{
     21465$cfuncdaxpy()
     21466  ;
     21467  return 0;
     21468}
     21469_ACEOF
     21470rm -f conftest.$ac_objext conftest$ac_exeext
     21471if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     21472  (eval $ac_link) 2>conftest.er1
     21473  ac_status=$?
     21474  grep -v '^ *+' conftest.er1 >conftest.err
     21475  rm -f conftest.er1
     21476  cat conftest.err >&5
     21477  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21478  (exit $ac_status); } &&
     21479         { ac_try='test -z "$ac_c_werror_flag"
     21480                         || test ! -s conftest.err'
     21481  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21482  (eval $ac_try) 2>&5
     21483  ac_status=$?
     21484  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21485  (exit $ac_status); }; } &&
     21486         { ac_try='test -s conftest$ac_exeext'
     21487  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21488  (eval $ac_try) 2>&5
     21489  ac_status=$?
     21490  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21491  (exit $ac_status); }; }; then
     21492  flink_try=yes
     21493else
     21494  echo "$as_me: failed program was:" >&5
     21495sed 's/^/| /' conftest.$ac_ext >&5
     21496
     21497flink_try=no
     21498fi
     21499rm -f conftest.err conftest.$ac_objext \
     21500      conftest$ac_exeext conftest.$ac_ext
     21501    fi
     21502    if test $flink_try = yes; then
     21503      echo "$as_me:$LINENO: result: yes" >&5
     21504echo "${ECHO_T}yes" >&6
     21505                         use_blas=-lcomplib.sgimath;
     21506                         ADDLIBS="-lcomplib.sgimath $ADDLIBS"
     21507    else
     21508      if test x"$FLIBS" != x; then
     21509        flink_save_libs="$LIBS"
     21510        LIBS="$LIBS $FLIBS"
     21511        cat >conftest.$ac_ext <<_ACEOF
     21512/* confdefs.h.  */
     21513_ACEOF
     21514cat confdefs.h >>conftest.$ac_ext
     21515cat >>conftest.$ac_ext <<_ACEOF
     21516/* end confdefs.h.  */
     21517void $cfuncdaxpy();
     21518#ifdef F77_DUMMY_MAIN
     21519
     21520#  ifdef __cplusplus
     21521     extern "C"
     21522#  endif
     21523   int F77_DUMMY_MAIN() { return 1; }
     21524
     21525#endif
     21526int
     21527main ()
     21528{
     21529$cfuncdaxpy()
     21530  ;
     21531  return 0;
     21532}
     21533_ACEOF
     21534rm -f conftest.$ac_objext conftest$ac_exeext
     21535if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     21536  (eval $ac_link) 2>conftest.er1
     21537  ac_status=$?
     21538  grep -v '^ *+' conftest.er1 >conftest.err
     21539  rm -f conftest.er1
     21540  cat conftest.err >&5
     21541  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21542  (exit $ac_status); } &&
     21543         { ac_try='test -z "$ac_c_werror_flag"
     21544                         || test ! -s conftest.err'
     21545  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21546  (eval $ac_try) 2>&5
     21547  ac_status=$?
     21548  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21549  (exit $ac_status); }; } &&
     21550         { ac_try='test -s conftest$ac_exeext'
     21551  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21552  (eval $ac_try) 2>&5
     21553  ac_status=$?
     21554  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21555  (exit $ac_status); }; }; then
     21556  LIBS="$flink_save_libs"
     21557                     echo "$as_me:$LINENO: result: yes" >&5
     21558echo "${ECHO_T}yes" >&6
     21559                         use_blas=-lcomplib.sgimath;
     21560                         ADDLIBS="-lcomplib.sgimath $ADDLIBS"
     21561                     coin_need_flibs=yes
     21562else
     21563  echo "$as_me: failed program was:" >&5
     21564sed 's/^/| /' conftest.$ac_ext >&5
     21565
     21566LIBS="$flink_save_libs"
     21567                     echo "$as_me:$LINENO: result: no" >&5
     21568echo "${ECHO_T}no" >&6
     21569                         SAVE_LIBS="$LIBS"
     21570fi
     21571rm -f conftest.err conftest.$ac_objext \
     21572      conftest$ac_exeext conftest.$ac_ext
     21573      else
     21574        echo "$as_me:$LINENO: result: no" >&5
     21575echo "${ECHO_T}no" >&6
     21576                         SAVE_LIBS="$LIBS"
     21577      fi
     21578    fi
     21579    ;;
     21580  cc|cpp)
     21581    ac_ext=f
     21582ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     21583ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     21584ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     21585case $ac_cv_f77_mangling in
     21586  upper*) ac_val="DAXPY" ;;
     21587  lower*) ac_val="daxpy" ;;
     21588  *)      ac_val="unknown" ;;
     21589esac
     21590case $ac_cv_f77_mangling in *," underscore"*) ac_val="$ac_val"_ ;; esac
     21591
     21592cfuncdaxpy="$ac_val"
     21593
     21594ac_ext=c
     21595ac_cpp='$CPP $CPPFLAGS'
     21596ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     21597ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     21598ac_compiler_gnu=$ac_cv_c_compiler_gnu
     21599
     21600    if test x"$coin_need_flibs" = xyes; then
     21601      flink_try=no;
     21602    else
     21603      cat >conftest.$ac_ext <<_ACEOF
     21604/* confdefs.h.  */
     21605_ACEOF
     21606cat confdefs.h >>conftest.$ac_ext
     21607cat >>conftest.$ac_ext <<_ACEOF
     21608/* end confdefs.h.  */
     21609extern "C" {void $cfuncdaxpy();}
     21610#ifdef F77_DUMMY_MAIN
     21611
     21612#  ifdef __cplusplus
     21613     extern "C"
     21614#  endif
     21615   int F77_DUMMY_MAIN() { return 1; }
     21616
     21617#endif
     21618int
     21619main ()
     21620{
     21621$cfuncdaxpy()
     21622  ;
     21623  return 0;
     21624}
     21625_ACEOF
     21626rm -f conftest.$ac_objext conftest$ac_exeext
     21627if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     21628  (eval $ac_link) 2>conftest.er1
     21629  ac_status=$?
     21630  grep -v '^ *+' conftest.er1 >conftest.err
     21631  rm -f conftest.er1
     21632  cat conftest.err >&5
     21633  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21634  (exit $ac_status); } &&
     21635         { ac_try='test -z "$ac_c_werror_flag"
     21636                         || test ! -s conftest.err'
     21637  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21638  (eval $ac_try) 2>&5
     21639  ac_status=$?
     21640  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21641  (exit $ac_status); }; } &&
     21642         { ac_try='test -s conftest$ac_exeext'
     21643  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21644  (eval $ac_try) 2>&5
     21645  ac_status=$?
     21646  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21647  (exit $ac_status); }; }; then
     21648  flink_try=yes
     21649else
     21650  echo "$as_me: failed program was:" >&5
     21651sed 's/^/| /' conftest.$ac_ext >&5
     21652
     21653flink_try=no
     21654fi
     21655rm -f conftest.err conftest.$ac_objext \
     21656      conftest$ac_exeext conftest.$ac_ext
     21657    fi
     21658    if test $flink_try = yes; then
     21659      echo "$as_me:$LINENO: result: yes" >&5
     21660echo "${ECHO_T}yes" >&6
     21661                         use_blas=-lcomplib.sgimath;
     21662                         ADDLIBS="-lcomplib.sgimath $ADDLIBS"
     21663    else
     21664      if test x"$FLIBS" != x; then
     21665        flink_save_libs="$LIBS"
     21666        LIBS="$LIBS $FLIBS"
     21667        cat >conftest.$ac_ext <<_ACEOF
     21668/* confdefs.h.  */
     21669_ACEOF
     21670cat confdefs.h >>conftest.$ac_ext
     21671cat >>conftest.$ac_ext <<_ACEOF
     21672/* end confdefs.h.  */
     21673extern "C" {void $cfuncdaxpy();}
     21674#ifdef F77_DUMMY_MAIN
     21675
     21676#  ifdef __cplusplus
     21677     extern "C"
     21678#  endif
     21679   int F77_DUMMY_MAIN() { return 1; }
     21680
     21681#endif
     21682int
     21683main ()
     21684{
     21685$cfuncdaxpy()
     21686  ;
     21687  return 0;
     21688}
     21689_ACEOF
     21690rm -f conftest.$ac_objext conftest$ac_exeext
     21691if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     21692  (eval $ac_link) 2>conftest.er1
     21693  ac_status=$?
     21694  grep -v '^ *+' conftest.er1 >conftest.err
     21695  rm -f conftest.er1
     21696  cat conftest.err >&5
     21697  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21698  (exit $ac_status); } &&
     21699         { ac_try='test -z "$ac_c_werror_flag"
     21700                         || test ! -s conftest.err'
     21701  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21702  (eval $ac_try) 2>&5
     21703  ac_status=$?
     21704  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21705  (exit $ac_status); }; } &&
     21706         { ac_try='test -s conftest$ac_exeext'
     21707  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21708  (eval $ac_try) 2>&5
     21709  ac_status=$?
     21710  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21711  (exit $ac_status); }; }; then
     21712  LIBS="$flink_save_libs"
     21713                     echo "$as_me:$LINENO: result: yes" >&5
     21714echo "${ECHO_T}yes" >&6
     21715                         use_blas=-lcomplib.sgimath;
     21716                         ADDLIBS="-lcomplib.sgimath $ADDLIBS"
     21717                     coin_need_flibs=yes
     21718else
     21719  echo "$as_me: failed program was:" >&5
     21720sed 's/^/| /' conftest.$ac_ext >&5
     21721
     21722LIBS="$flink_save_libs"
     21723                     echo "$as_me:$LINENO: result: no" >&5
     21724echo "${ECHO_T}no" >&6
     21725                         SAVE_LIBS="$LIBS"
     21726fi
     21727rm -f conftest.err conftest.$ac_objext \
     21728      conftest$ac_exeext conftest.$ac_ext
     21729      else
     21730        echo "$as_me:$LINENO: result: no" >&5
     21731echo "${ECHO_T}no" >&6
     21732                         SAVE_LIBS="$LIBS"
     21733      fi
     21734    fi
     21735    ;;
     21736esac
     21737
     21738      ;;
     21739    *-sun-*)
     21740      SAVE_LIBS="$LIBS"
     21741      echo "$as_me:$LINENO: checking whether -xlic_lib=sunperf has BLAS" >&5
     21742echo $ECHO_N "checking whether -xlic_lib=sunperf has BLAS... $ECHO_C" >&6
     21743      LIBS="-xlic_lib=sunperf $LIBS"
     21744      case $ac_ext in
     21745  f)
     21746    cat >conftest.$ac_ext <<_ACEOF
     21747/* confdefs.h.  */
     21748_ACEOF
     21749cat confdefs.h >>conftest.$ac_ext
     21750cat >>conftest.$ac_ext <<_ACEOF
     21751/* end confdefs.h.  */
     21752
     21753#ifdef F77_DUMMY_MAIN
     21754
     21755#  ifdef __cplusplus
     21756     extern "C"
     21757#  endif
     21758   int F77_DUMMY_MAIN() { return 1; }
     21759
     21760#endif
     21761int
     21762main ()
     21763{
     21764      call daxpy
     21765  ;
     21766  return 0;
     21767}
     21768_ACEOF
     21769rm -f conftest.$ac_objext conftest$ac_exeext
     21770if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     21771  (eval $ac_link) 2>conftest.er1
     21772  ac_status=$?
     21773  grep -v '^ *+' conftest.er1 >conftest.err
     21774  rm -f conftest.er1
     21775  cat conftest.err >&5
     21776  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21777  (exit $ac_status); } &&
     21778         { ac_try='test -z "$ac_c_werror_flag"
     21779                         || test ! -s conftest.err'
     21780  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21781  (eval $ac_try) 2>&5
     21782  ac_status=$?
     21783  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21784  (exit $ac_status); }; } &&
     21785         { ac_try='test -s conftest$ac_exeext'
     21786  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21787  (eval $ac_try) 2>&5
     21788  ac_status=$?
     21789  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21790  (exit $ac_status); }; }; then
     21791  echo "$as_me:$LINENO: result: yes" >&5
     21792echo "${ECHO_T}yes" >&6
     21793                         use_blas='-xlic_lib=sunperf'
     21794                         ADDLIBS="-xlic_lib=sunperf $ADDLIBS"
     21795else
     21796  echo "$as_me: failed program was:" >&5
     21797sed 's/^/| /' conftest.$ac_ext >&5
     21798
     21799echo "$as_me:$LINENO: result: no" >&5
     21800echo "${ECHO_T}no" >&6
     21801                         LIBS="$SAVE_LIBS"
     21802fi
     21803rm -f conftest.err conftest.$ac_objext \
     21804      conftest$ac_exeext conftest.$ac_ext
     21805    ;;
     21806  c)
     21807    ac_ext=f
     21808ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     21809ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     21810ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     21811case $ac_cv_f77_mangling in
     21812  upper*) ac_val="DAXPY" ;;
     21813  lower*) ac_val="daxpy" ;;
     21814  *)      ac_val="unknown" ;;
     21815esac
     21816case $ac_cv_f77_mangling in *," underscore"*) ac_val="$ac_val"_ ;; esac
     21817
     21818cfuncdaxpy="$ac_val"
     21819
     21820ac_ext=c
     21821ac_cpp='$CPP $CPPFLAGS'
     21822ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     21823ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     21824ac_compiler_gnu=$ac_cv_c_compiler_gnu
     21825
     21826    if test x"$coin_need_flibs" = xyes; then
     21827      flink_try=no;
     21828    else
     21829      cat >conftest.$ac_ext <<_ACEOF
     21830/* confdefs.h.  */
     21831_ACEOF
     21832cat confdefs.h >>conftest.$ac_ext
     21833cat >>conftest.$ac_ext <<_ACEOF
     21834/* end confdefs.h.  */
     21835void $cfuncdaxpy();
     21836#ifdef F77_DUMMY_MAIN
     21837
     21838#  ifdef __cplusplus
     21839     extern "C"
     21840#  endif
     21841   int F77_DUMMY_MAIN() { return 1; }
     21842
     21843#endif
     21844int
     21845main ()
     21846{
     21847$cfuncdaxpy()
     21848  ;
     21849  return 0;
     21850}
     21851_ACEOF
     21852rm -f conftest.$ac_objext conftest$ac_exeext
     21853if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     21854  (eval $ac_link) 2>conftest.er1
     21855  ac_status=$?
     21856  grep -v '^ *+' conftest.er1 >conftest.err
     21857  rm -f conftest.er1
     21858  cat conftest.err >&5
     21859  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21860  (exit $ac_status); } &&
     21861         { ac_try='test -z "$ac_c_werror_flag"
     21862                         || test ! -s conftest.err'
     21863  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21864  (eval $ac_try) 2>&5
     21865  ac_status=$?
     21866  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21867  (exit $ac_status); }; } &&
     21868         { ac_try='test -s conftest$ac_exeext'
     21869  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21870  (eval $ac_try) 2>&5
     21871  ac_status=$?
     21872  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21873  (exit $ac_status); }; }; then
     21874  flink_try=yes
     21875else
     21876  echo "$as_me: failed program was:" >&5
     21877sed 's/^/| /' conftest.$ac_ext >&5
     21878
     21879flink_try=no
     21880fi
     21881rm -f conftest.err conftest.$ac_objext \
     21882      conftest$ac_exeext conftest.$ac_ext
     21883    fi
     21884    if test $flink_try = yes; then
     21885      echo "$as_me:$LINENO: result: yes" >&5
     21886echo "${ECHO_T}yes" >&6
     21887                         use_blas='-xlic_lib=sunperf'
     21888                         ADDLIBS="-xlic_lib=sunperf $ADDLIBS"
     21889    else
     21890      if test x"$FLIBS" != x; then
     21891        flink_save_libs="$LIBS"
     21892        LIBS="$LIBS $FLIBS"
     21893        cat >conftest.$ac_ext <<_ACEOF
     21894/* confdefs.h.  */
     21895_ACEOF
     21896cat confdefs.h >>conftest.$ac_ext
     21897cat >>conftest.$ac_ext <<_ACEOF
     21898/* end confdefs.h.  */
     21899void $cfuncdaxpy();
     21900#ifdef F77_DUMMY_MAIN
     21901
     21902#  ifdef __cplusplus
     21903     extern "C"
     21904#  endif
     21905   int F77_DUMMY_MAIN() { return 1; }
     21906
     21907#endif
     21908int
     21909main ()
     21910{
     21911$cfuncdaxpy()
     21912  ;
     21913  return 0;
     21914}
     21915_ACEOF
     21916rm -f conftest.$ac_objext conftest$ac_exeext
     21917if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     21918  (eval $ac_link) 2>conftest.er1
     21919  ac_status=$?
     21920  grep -v '^ *+' conftest.er1 >conftest.err
     21921  rm -f conftest.er1
     21922  cat conftest.err >&5
     21923  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21924  (exit $ac_status); } &&
     21925         { ac_try='test -z "$ac_c_werror_flag"
     21926                         || test ! -s conftest.err'
     21927  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21928  (eval $ac_try) 2>&5
     21929  ac_status=$?
     21930  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21931  (exit $ac_status); }; } &&
     21932         { ac_try='test -s conftest$ac_exeext'
     21933  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21934  (eval $ac_try) 2>&5
     21935  ac_status=$?
     21936  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21937  (exit $ac_status); }; }; then
     21938  LIBS="$flink_save_libs"
     21939                     echo "$as_me:$LINENO: result: yes" >&5
     21940echo "${ECHO_T}yes" >&6
     21941                         use_blas='-xlic_lib=sunperf'
     21942                         ADDLIBS="-xlic_lib=sunperf $ADDLIBS"
     21943                     coin_need_flibs=yes
     21944else
     21945  echo "$as_me: failed program was:" >&5
     21946sed 's/^/| /' conftest.$ac_ext >&5
     21947
     21948LIBS="$flink_save_libs"
     21949                     echo "$as_me:$LINENO: result: no" >&5
     21950echo "${ECHO_T}no" >&6
     21951                         LIBS="$SAVE_LIBS"
     21952fi
     21953rm -f conftest.err conftest.$ac_objext \
     21954      conftest$ac_exeext conftest.$ac_ext
     21955      else
     21956        echo "$as_me:$LINENO: result: no" >&5
     21957echo "${ECHO_T}no" >&6
     21958                         LIBS="$SAVE_LIBS"
     21959      fi
     21960    fi
     21961    ;;
     21962  cc|cpp)
     21963    ac_ext=f
     21964ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     21965ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     21966ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     21967case $ac_cv_f77_mangling in
     21968  upper*) ac_val="DAXPY" ;;
     21969  lower*) ac_val="daxpy" ;;
     21970  *)      ac_val="unknown" ;;
     21971esac
     21972case $ac_cv_f77_mangling in *," underscore"*) ac_val="$ac_val"_ ;; esac
     21973
     21974cfuncdaxpy="$ac_val"
     21975
     21976ac_ext=c
     21977ac_cpp='$CPP $CPPFLAGS'
     21978ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     21979ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     21980ac_compiler_gnu=$ac_cv_c_compiler_gnu
     21981
     21982    if test x"$coin_need_flibs" = xyes; then
     21983      flink_try=no;
     21984    else
     21985      cat >conftest.$ac_ext <<_ACEOF
     21986/* confdefs.h.  */
     21987_ACEOF
     21988cat confdefs.h >>conftest.$ac_ext
     21989cat >>conftest.$ac_ext <<_ACEOF
     21990/* end confdefs.h.  */
     21991extern "C" {void $cfuncdaxpy();}
     21992#ifdef F77_DUMMY_MAIN
     21993
     21994#  ifdef __cplusplus
     21995     extern "C"
     21996#  endif
     21997   int F77_DUMMY_MAIN() { return 1; }
     21998
     21999#endif
     22000int
     22001main ()
     22002{
     22003$cfuncdaxpy()
     22004  ;
     22005  return 0;
     22006}
     22007_ACEOF
     22008rm -f conftest.$ac_objext conftest$ac_exeext
     22009if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22010  (eval $ac_link) 2>conftest.er1
     22011  ac_status=$?
     22012  grep -v '^ *+' conftest.er1 >conftest.err
     22013  rm -f conftest.er1
     22014  cat conftest.err >&5
     22015  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22016  (exit $ac_status); } &&
     22017         { ac_try='test -z "$ac_c_werror_flag"
     22018                         || test ! -s conftest.err'
     22019  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22020  (eval $ac_try) 2>&5
     22021  ac_status=$?
     22022  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22023  (exit $ac_status); }; } &&
     22024         { ac_try='test -s conftest$ac_exeext'
     22025  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22026  (eval $ac_try) 2>&5
     22027  ac_status=$?
     22028  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22029  (exit $ac_status); }; }; then
     22030  flink_try=yes
     22031else
     22032  echo "$as_me: failed program was:" >&5
     22033sed 's/^/| /' conftest.$ac_ext >&5
     22034
     22035flink_try=no
     22036fi
     22037rm -f conftest.err conftest.$ac_objext \
     22038      conftest$ac_exeext conftest.$ac_ext
     22039    fi
     22040    if test $flink_try = yes; then
     22041      echo "$as_me:$LINENO: result: yes" >&5
     22042echo "${ECHO_T}yes" >&6
     22043                         use_blas='-xlic_lib=sunperf'
     22044                         ADDLIBS="-xlic_lib=sunperf $ADDLIBS"
     22045    else
     22046      if test x"$FLIBS" != x; then
     22047        flink_save_libs="$LIBS"
     22048        LIBS="$LIBS $FLIBS"
     22049        cat >conftest.$ac_ext <<_ACEOF
     22050/* confdefs.h.  */
     22051_ACEOF
     22052cat confdefs.h >>conftest.$ac_ext
     22053cat >>conftest.$ac_ext <<_ACEOF
     22054/* end confdefs.h.  */
     22055extern "C" {void $cfuncdaxpy();}
     22056#ifdef F77_DUMMY_MAIN
     22057
     22058#  ifdef __cplusplus
     22059     extern "C"
     22060#  endif
     22061   int F77_DUMMY_MAIN() { return 1; }
     22062
     22063#endif
     22064int
     22065main ()
     22066{
     22067$cfuncdaxpy()
     22068  ;
     22069  return 0;
     22070}
     22071_ACEOF
     22072rm -f conftest.$ac_objext conftest$ac_exeext
     22073if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22074  (eval $ac_link) 2>conftest.er1
     22075  ac_status=$?
     22076  grep -v '^ *+' conftest.er1 >conftest.err
     22077  rm -f conftest.er1
     22078  cat conftest.err >&5
     22079  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22080  (exit $ac_status); } &&
     22081         { ac_try='test -z "$ac_c_werror_flag"
     22082                         || test ! -s conftest.err'
     22083  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22084  (eval $ac_try) 2>&5
     22085  ac_status=$?
     22086  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22087  (exit $ac_status); }; } &&
     22088         { ac_try='test -s conftest$ac_exeext'
     22089  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22090  (eval $ac_try) 2>&5
     22091  ac_status=$?
     22092  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22093  (exit $ac_status); }; }; then
     22094  LIBS="$flink_save_libs"
     22095                     echo "$as_me:$LINENO: result: yes" >&5
     22096echo "${ECHO_T}yes" >&6
     22097                         use_blas='-xlic_lib=sunperf'
     22098                         ADDLIBS="-xlic_lib=sunperf $ADDLIBS"
     22099                     coin_need_flibs=yes
     22100else
     22101  echo "$as_me: failed program was:" >&5
     22102sed 's/^/| /' conftest.$ac_ext >&5
     22103
     22104LIBS="$flink_save_libs"
     22105                     echo "$as_me:$LINENO: result: no" >&5
     22106echo "${ECHO_T}no" >&6
     22107                         LIBS="$SAVE_LIBS"
     22108fi
     22109rm -f conftest.err conftest.$ac_objext \
     22110      conftest$ac_exeext conftest.$ac_ext
     22111      else
     22112        echo "$as_me:$LINENO: result: no" >&5
     22113echo "${ECHO_T}no" >&6
     22114                         LIBS="$SAVE_LIBS"
     22115      fi
     22116    fi
     22117    ;;
     22118esac
     22119
     22120      ;;
     22121# On cygwin, consider -lblas only if doscompile is disabled. The prebuilt
     22122# library will want to link with cygwin, hence won't run standalone in DOS.
     22123    *-cygwin*)
     22124      if test "$enable_doscompile" = no; then
     22125        skip_lblas_check=yes
     22126      fi
     22127      ;;
     22128  esac
     22129
     22130  if test -z "$use_blas" && test $skip_lblas_check = no; then
     22131    SAVE_LIBS="$LIBS"
     22132    echo "$as_me:$LINENO: checking whether -lblas has BLAS" >&5
     22133echo $ECHO_N "checking whether -lblas has BLAS... $ECHO_C" >&6
     22134    LIBS="-lblas $LIBS"
     22135    case $ac_ext in
     22136  f)
     22137    cat >conftest.$ac_ext <<_ACEOF
     22138/* confdefs.h.  */
     22139_ACEOF
     22140cat confdefs.h >>conftest.$ac_ext
     22141cat >>conftest.$ac_ext <<_ACEOF
     22142/* end confdefs.h.  */
     22143
     22144#ifdef F77_DUMMY_MAIN
     22145
     22146#  ifdef __cplusplus
     22147     extern "C"
     22148#  endif
     22149   int F77_DUMMY_MAIN() { return 1; }
     22150
     22151#endif
     22152int
     22153main ()
     22154{
     22155      call daxpy
     22156  ;
     22157  return 0;
     22158}
     22159_ACEOF
     22160rm -f conftest.$ac_objext conftest$ac_exeext
     22161if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22162  (eval $ac_link) 2>conftest.er1
     22163  ac_status=$?
     22164  grep -v '^ *+' conftest.er1 >conftest.err
     22165  rm -f conftest.er1
     22166  cat conftest.err >&5
     22167  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22168  (exit $ac_status); } &&
     22169         { ac_try='test -z "$ac_c_werror_flag"
     22170                         || test ! -s conftest.err'
     22171  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22172  (eval $ac_try) 2>&5
     22173  ac_status=$?
     22174  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22175  (exit $ac_status); }; } &&
     22176         { ac_try='test -s conftest$ac_exeext'
     22177  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22178  (eval $ac_try) 2>&5
     22179  ac_status=$?
     22180  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22181  (exit $ac_status); }; }; then
     22182  echo "$as_me:$LINENO: result: yes" >&5
     22183echo "${ECHO_T}yes" >&6
     22184                       ADDLIBS="-lblas $ADDLIBS"
     22185                       use_blas='-lblas'
     22186else
     22187  echo "$as_me: failed program was:" >&5
     22188sed 's/^/| /' conftest.$ac_ext >&5
     22189
     22190echo "$as_me:$LINENO: result: no" >&5
     22191echo "${ECHO_T}no" >&6
     22192                       LIBS="$SAVE_LIBS"
     22193fi
     22194rm -f conftest.err conftest.$ac_objext \
     22195      conftest$ac_exeext conftest.$ac_ext
     22196    ;;
     22197  c)
     22198    ac_ext=f
     22199ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     22200ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     22201ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     22202case $ac_cv_f77_mangling in
     22203  upper*) ac_val="DAXPY" ;;
     22204  lower*) ac_val="daxpy" ;;
     22205  *)      ac_val="unknown" ;;
     22206esac
     22207case $ac_cv_f77_mangling in *," underscore"*) ac_val="$ac_val"_ ;; esac
     22208
     22209cfuncdaxpy="$ac_val"
     22210
     22211ac_ext=c
     22212ac_cpp='$CPP $CPPFLAGS'
     22213ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     22214ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     22215ac_compiler_gnu=$ac_cv_c_compiler_gnu
     22216
     22217    if test x"$coin_need_flibs" = xyes; then
     22218      flink_try=no;
     22219    else
     22220      cat >conftest.$ac_ext <<_ACEOF
     22221/* confdefs.h.  */
     22222_ACEOF
     22223cat confdefs.h >>conftest.$ac_ext
     22224cat >>conftest.$ac_ext <<_ACEOF
     22225/* end confdefs.h.  */
     22226void $cfuncdaxpy();
     22227#ifdef F77_DUMMY_MAIN
     22228
     22229#  ifdef __cplusplus
     22230     extern "C"
     22231#  endif
     22232   int F77_DUMMY_MAIN() { return 1; }
     22233
     22234#endif
     22235int
     22236main ()
     22237{
     22238$cfuncdaxpy()
     22239  ;
     22240  return 0;
     22241}
     22242_ACEOF
     22243rm -f conftest.$ac_objext conftest$ac_exeext
     22244if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22245  (eval $ac_link) 2>conftest.er1
     22246  ac_status=$?
     22247  grep -v '^ *+' conftest.er1 >conftest.err
     22248  rm -f conftest.er1
     22249  cat conftest.err >&5
     22250  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22251  (exit $ac_status); } &&
     22252         { ac_try='test -z "$ac_c_werror_flag"
     22253                         || test ! -s conftest.err'
     22254  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22255  (eval $ac_try) 2>&5
     22256  ac_status=$?
     22257  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22258  (exit $ac_status); }; } &&
     22259         { ac_try='test -s conftest$ac_exeext'
     22260  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22261  (eval $ac_try) 2>&5
     22262  ac_status=$?
     22263  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22264  (exit $ac_status); }; }; then
     22265  flink_try=yes
     22266else
     22267  echo "$as_me: failed program was:" >&5
     22268sed 's/^/| /' conftest.$ac_ext >&5
     22269
     22270flink_try=no
     22271fi
     22272rm -f conftest.err conftest.$ac_objext \
     22273      conftest$ac_exeext conftest.$ac_ext
     22274    fi
     22275    if test $flink_try = yes; then
     22276      echo "$as_me:$LINENO: result: yes" >&5
     22277echo "${ECHO_T}yes" >&6
     22278                       ADDLIBS="-lblas $ADDLIBS"
     22279                       use_blas='-lblas'
     22280    else
     22281      if test x"$FLIBS" != x; then
     22282        flink_save_libs="$LIBS"
     22283        LIBS="$LIBS $FLIBS"
     22284        cat >conftest.$ac_ext <<_ACEOF
     22285/* confdefs.h.  */
     22286_ACEOF
     22287cat confdefs.h >>conftest.$ac_ext
     22288cat >>conftest.$ac_ext <<_ACEOF
     22289/* end confdefs.h.  */
     22290void $cfuncdaxpy();
     22291#ifdef F77_DUMMY_MAIN
     22292
     22293#  ifdef __cplusplus
     22294     extern "C"
     22295#  endif
     22296   int F77_DUMMY_MAIN() { return 1; }
     22297
     22298#endif
     22299int
     22300main ()
     22301{
     22302$cfuncdaxpy()
     22303  ;
     22304  return 0;
     22305}
     22306_ACEOF
     22307rm -f conftest.$ac_objext conftest$ac_exeext
     22308if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22309  (eval $ac_link) 2>conftest.er1
     22310  ac_status=$?
     22311  grep -v '^ *+' conftest.er1 >conftest.err
     22312  rm -f conftest.er1
     22313  cat conftest.err >&5
     22314  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22315  (exit $ac_status); } &&
     22316         { ac_try='test -z "$ac_c_werror_flag"
     22317                         || test ! -s conftest.err'
     22318  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22319  (eval $ac_try) 2>&5
     22320  ac_status=$?
     22321  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22322  (exit $ac_status); }; } &&
     22323         { ac_try='test -s conftest$ac_exeext'
     22324  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22325  (eval $ac_try) 2>&5
     22326  ac_status=$?
     22327  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22328  (exit $ac_status); }; }; then
     22329  LIBS="$flink_save_libs"
     22330                     echo "$as_me:$LINENO: result: yes" >&5
     22331echo "${ECHO_T}yes" >&6
     22332                       ADDLIBS="-lblas $ADDLIBS"
     22333                       use_blas='-lblas'
     22334                     coin_need_flibs=yes
     22335else
     22336  echo "$as_me: failed program was:" >&5
     22337sed 's/^/| /' conftest.$ac_ext >&5
     22338
     22339LIBS="$flink_save_libs"
     22340                     echo "$as_me:$LINENO: result: no" >&5
     22341echo "${ECHO_T}no" >&6
     22342                       LIBS="$SAVE_LIBS"
     22343fi
     22344rm -f conftest.err conftest.$ac_objext \
     22345      conftest$ac_exeext conftest.$ac_ext
     22346      else
     22347        echo "$as_me:$LINENO: result: no" >&5
     22348echo "${ECHO_T}no" >&6
     22349                       LIBS="$SAVE_LIBS"
     22350      fi
     22351    fi
     22352    ;;
     22353  cc|cpp)
     22354    ac_ext=f
     22355ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     22356ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     22357ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     22358case $ac_cv_f77_mangling in
     22359  upper*) ac_val="DAXPY" ;;
     22360  lower*) ac_val="daxpy" ;;
     22361  *)      ac_val="unknown" ;;
     22362esac
     22363case $ac_cv_f77_mangling in *," underscore"*) ac_val="$ac_val"_ ;; esac
     22364
     22365cfuncdaxpy="$ac_val"
     22366
     22367ac_ext=c
     22368ac_cpp='$CPP $CPPFLAGS'
     22369ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     22370ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     22371ac_compiler_gnu=$ac_cv_c_compiler_gnu
     22372
     22373    if test x"$coin_need_flibs" = xyes; then
     22374      flink_try=no;
     22375    else
     22376      cat >conftest.$ac_ext <<_ACEOF
     22377/* confdefs.h.  */
     22378_ACEOF
     22379cat confdefs.h >>conftest.$ac_ext
     22380cat >>conftest.$ac_ext <<_ACEOF
     22381/* end confdefs.h.  */
     22382extern "C" {void $cfuncdaxpy();}
     22383#ifdef F77_DUMMY_MAIN
     22384
     22385#  ifdef __cplusplus
     22386     extern "C"
     22387#  endif
     22388   int F77_DUMMY_MAIN() { return 1; }
     22389
     22390#endif
     22391int
     22392main ()
     22393{
     22394$cfuncdaxpy()
     22395  ;
     22396  return 0;
     22397}
     22398_ACEOF
     22399rm -f conftest.$ac_objext conftest$ac_exeext
     22400if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22401  (eval $ac_link) 2>conftest.er1
     22402  ac_status=$?
     22403  grep -v '^ *+' conftest.er1 >conftest.err
     22404  rm -f conftest.er1
     22405  cat conftest.err >&5
     22406  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22407  (exit $ac_status); } &&
     22408         { ac_try='test -z "$ac_c_werror_flag"
     22409                         || test ! -s conftest.err'
     22410  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22411  (eval $ac_try) 2>&5
     22412  ac_status=$?
     22413  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22414  (exit $ac_status); }; } &&
     22415         { ac_try='test -s conftest$ac_exeext'
     22416  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22417  (eval $ac_try) 2>&5
     22418  ac_status=$?
     22419  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22420  (exit $ac_status); }; }; then
     22421  flink_try=yes
     22422else
     22423  echo "$as_me: failed program was:" >&5
     22424sed 's/^/| /' conftest.$ac_ext >&5
     22425
     22426flink_try=no
     22427fi
     22428rm -f conftest.err conftest.$ac_objext \
     22429      conftest$ac_exeext conftest.$ac_ext
     22430    fi
     22431    if test $flink_try = yes; then
     22432      echo "$as_me:$LINENO: result: yes" >&5
     22433echo "${ECHO_T}yes" >&6
     22434                       ADDLIBS="-lblas $ADDLIBS"
     22435                       use_blas='-lblas'
     22436    else
     22437      if test x"$FLIBS" != x; then
     22438        flink_save_libs="$LIBS"
     22439        LIBS="$LIBS $FLIBS"
     22440        cat >conftest.$ac_ext <<_ACEOF
     22441/* confdefs.h.  */
     22442_ACEOF
     22443cat confdefs.h >>conftest.$ac_ext
     22444cat >>conftest.$ac_ext <<_ACEOF
     22445/* end confdefs.h.  */
     22446extern "C" {void $cfuncdaxpy();}
     22447#ifdef F77_DUMMY_MAIN
     22448
     22449#  ifdef __cplusplus
     22450     extern "C"
     22451#  endif
     22452   int F77_DUMMY_MAIN() { return 1; }
     22453
     22454#endif
     22455int
     22456main ()
     22457{
     22458$cfuncdaxpy()
     22459  ;
     22460  return 0;
     22461}
     22462_ACEOF
     22463rm -f conftest.$ac_objext conftest$ac_exeext
     22464if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22465  (eval $ac_link) 2>conftest.er1
     22466  ac_status=$?
     22467  grep -v '^ *+' conftest.er1 >conftest.err
     22468  rm -f conftest.er1
     22469  cat conftest.err >&5
     22470  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22471  (exit $ac_status); } &&
     22472         { ac_try='test -z "$ac_c_werror_flag"
     22473                         || test ! -s conftest.err'
     22474  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22475  (eval $ac_try) 2>&5
     22476  ac_status=$?
     22477  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22478  (exit $ac_status); }; } &&
     22479         { ac_try='test -s conftest$ac_exeext'
     22480  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22481  (eval $ac_try) 2>&5
     22482  ac_status=$?
     22483  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22484  (exit $ac_status); }; }; then
     22485  LIBS="$flink_save_libs"
     22486                     echo "$as_me:$LINENO: result: yes" >&5
     22487echo "${ECHO_T}yes" >&6
     22488                       ADDLIBS="-lblas $ADDLIBS"
     22489                       use_blas='-lblas'
     22490                     coin_need_flibs=yes
     22491else
     22492  echo "$as_me: failed program was:" >&5
     22493sed 's/^/| /' conftest.$ac_ext >&5
     22494
     22495LIBS="$flink_save_libs"
     22496                     echo "$as_me:$LINENO: result: no" >&5
     22497echo "${ECHO_T}no" >&6
     22498                       LIBS="$SAVE_LIBS"
     22499fi
     22500rm -f conftest.err conftest.$ac_objext \
     22501      conftest$ac_exeext conftest.$ac_ext
     22502      else
     22503        echo "$as_me:$LINENO: result: no" >&5
     22504echo "${ECHO_T}no" >&6
     22505                       LIBS="$SAVE_LIBS"
     22506      fi
     22507    fi
     22508    ;;
     22509esac
     22510
     22511  fi
     22512
     22513# If we have no other ideas, consider building BLAS.
     22514  if test -z "$use_blas"; then
     22515    if test "$PACKAGE_NAME" != ThirdPartyBlas; then
     22516      echo "$as_me:$LINENO: checking if BLAS can be built." >&5
     22517echo $ECHO_N "checking if BLAS can be built.... $ECHO_C" >&6
     22518      as_ac_File=`echo "ac_cv_file_$coin_blasobjdir/.MakeOk" | $as_tr_sh`
     22519echo "$as_me:$LINENO: checking for $coin_blasobjdir/.MakeOk" >&5
     22520echo $ECHO_N "checking for $coin_blasobjdir/.MakeOk... $ECHO_C" >&6
     22521if eval "test \"\${$as_ac_File+set}\" = set"; then
     22522  echo $ECHO_N "(cached) $ECHO_C" >&6
     22523else
     22524  test "$cross_compiling" = yes &&
     22525  { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
     22526echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
     22527   { (exit 1); exit 1; }; }
     22528if test -r "$coin_blasobjdir/.MakeOk"; then
     22529  eval "$as_ac_File=yes"
     22530else
     22531  eval "$as_ac_File=no"
     22532fi
     22533fi
     22534echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_File'}'`" >&5
     22535echo "${ECHO_T}`eval echo '${'$as_ac_File'}'`" >&6
     22536if test `eval echo '${'$as_ac_File'}'` = yes; then
     22537  use_blas=BUILD
     22538fi
     22539
     22540    fi
     22541  fi
     22542fi
     22543
     22544if test "$use_blas" = BUILD; then
     22545  coin_need_flibs=yes
     22546fi
     22547
     22548
     22549
     22550if test x"$use_blas" != x; then
     22551  COIN_HAS_BLAS_TRUE=
     22552  COIN_HAS_BLAS_FALSE='#'
     22553else
     22554  COIN_HAS_BLAS_TRUE='#'
     22555  COIN_HAS_BLAS_FALSE=
     22556fi
     22557
     22558
     22559
     22560if test "$use_blas" = BUILD; then
     22561  COIN_BUILD_BLAS_TRUE=
     22562  COIN_BUILD_BLAS_FALSE='#'
     22563else
     22564  COIN_BUILD_BLAS_TRUE='#'
     22565  COIN_BUILD_BLAS_FALSE=
     22566fi
     22567
     22568
     22569if test x"$use_blas" = x || test "$use_blas" = no; then
     22570  coin_has_blas=no
     22571else
     22572  coin_has_blas=yes
     22573
     22574cat >>confdefs.h <<\_ACEOF
     22575#define COIN_HAS_BLAS 1
     22576_ACEOF
     22577
     22578fi
     22579
    2093222580coin_lapackobjdir=../ThirdParty/Lapack
    2093322581coin_lapacksrcdir=$srcdir/$coin_lapackobjdir
     
    2098822636/* end confdefs.h.  */
    2098922637
     22638#ifdef F77_DUMMY_MAIN
     22639
     22640#  ifdef __cplusplus
     22641     extern "C"
     22642#  endif
     22643   int F77_DUMMY_MAIN() { return 1; }
     22644
     22645#endif
    2099022646int
    2099122647main ()
     
    2294224598
    2294324599MAKEOKFILE=.MakeOk
    22944 if test $coin_has_lapack = yes && test $use_lapack != BUILD; then
     24600if test $coin_has_lapack = yes && test "$use_lapack" != BUILD; then
    2294524601  rm -f $MAKEOKFILE
    2294624602  { echo "$as_me:$LINENO: The Lapack sources don't need to be compiled" >&5
     
    2317924835Usually this means the macro was only invoked conditionally." >&5
    2318024836echo "$as_me: error: conditional \"am__fastdepCXX\" was never defined.
     24837Usually this means the macro was only invoked conditionally." >&2;}
     24838   { (exit 1); exit 1; }; }
     24839fi
     24840if test -z "${COIN_HAS_BLAS_TRUE}" && test -z "${COIN_HAS_BLAS_FALSE}"; then
     24841  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_BLAS\" was never defined.
     24842Usually this means the macro was only invoked conditionally." >&5
     24843echo "$as_me: error: conditional \"COIN_HAS_BLAS\" was never defined.
     24844Usually this means the macro was only invoked conditionally." >&2;}
     24845   { (exit 1); exit 1; }; }
     24846fi
     24847if test -z "${COIN_BUILD_BLAS_TRUE}" && test -z "${COIN_BUILD_BLAS_FALSE}"; then
     24848  { { echo "$as_me:$LINENO: error: conditional \"COIN_BUILD_BLAS\" was never defined.
     24849Usually this means the macro was only invoked conditionally." >&5
     24850echo "$as_me: error: conditional \"COIN_BUILD_BLAS\" was never defined.
    2318124851Usually this means the macro was only invoked conditionally." >&2;}
    2318224852   { (exit 1); exit 1; }; }
     
    2383225502s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
    2383325503s,@FLIBS@,$FLIBS,;t t
     25504s,@COIN_HAS_BLAS_TRUE@,$COIN_HAS_BLAS_TRUE,;t t
     25505s,@COIN_HAS_BLAS_FALSE@,$COIN_HAS_BLAS_FALSE,;t t
     25506s,@COIN_BUILD_BLAS_TRUE@,$COIN_BUILD_BLAS_TRUE,;t t
     25507s,@COIN_BUILD_BLAS_FALSE@,$COIN_BUILD_BLAS_FALSE,;t t
    2383425508s,@COIN_HAS_LAPACK_TRUE@,$COIN_HAS_LAPACK_TRUE,;t t
    2383525509s,@COIN_HAS_LAPACK_FALSE@,$COIN_HAS_LAPACK_FALSE,;t t
  • ThirdParty/Lapack/trunk/configure.ac

    r229 r234  
    5151
    5252# Check if Lapack is already available on the system or provided by user
     53AC_COIN_HAS_BLAS
    5354AC_COIN_HAS_LAPACK
    5455MAKEOKFILE=.MakeOk
    55 if test $coin_has_lapack = yes && test $use_lapack != BUILD; then
     56if test $coin_has_lapack = yes && test "$use_lapack" != BUILD; then
    5657  rm -f $MAKEOKFILE
    5758  AC_MSG_NOTICE([The Lapack sources don't need to be compiled])
Note: See TracChangeset for help on using the changeset viewer.